package com.knauf.ejb.stateful;
/**
 * Stateless EJB mit Hilfsmethoden fr das GeometricModel.
 */
public class GeometricModelBean implements javax.ejb.SessionBean
{
	private javax.ejb.SessionContext mySessionCtx;
	/**
	 * getSessionContext
	 */
	public javax.ejb.SessionContext getSessionContext()
	{
		return mySessionCtx;
	}
	/**
	 * setSessionContext
	 */
	public void setSessionContext(javax.ejb.SessionContext ctx)
	{
		mySessionCtx = ctx;
	}
	/**
	 * ejbCreate
	 */
	public void ejbCreate() throws javax.ejb.CreateException
	{
	}
	/**
	 * ejbActivate
	 */
	public void ejbActivate()
	{
	}
	/**
	 * ejbPassivate
	 */
	public void ejbPassivate()
	{
	}
	/**
	 * ejbRemove
	 */
	public void ejbRemove()
	{
	}
	
	///////////////////////////////////////////////////////////////////
	//           Methoden aus Remote-Interface                       //
	///////////////////////////////////////////////////////////////////

	/**Berechen des Volumens eines Quaders.
	 * @param a Lnge der Seite a, > 0
	 * @param b Lnge der Seite b, > 0
	 * @param c Lnge der Seite c, > 0
	 * @return Das Volumen des Quaders = a * b * c
	 * @exception InvalidParameterException Falls a oder b oder c <= 0 ist.
	 */
	public double computeCuboidVolume (double a, double b, double c) throws InvalidParameterException
	{
	  if (a <= 0|| b <= 0 || c <= 0)
		throw new InvalidParameterException ("Seitenlnge <= 0");

	  return a * b * c;
	}

	/**Berechen der Oberflche eines Quaders.
	 * @param a Lnge der Seite a, > 0
	 * @param b Lnge der Seite b, > 0
	 * @param c Lnge der Seite c, > 0
	 * @return Die Oberflche des Quaders = 2 * (a * b) + 2 * (b*c) + 2 * (a * c)
	 * @exception InvalidParameterException Falls a oder b oder c <= 0 ist.
	 */
	public double computeCuboidSurface(double a, double b, double c) throws InvalidParameterException
	{
	  if (a <= 0|| b <= 0 || c <= 0)
		throw new InvalidParameterException ("Seitenlnge <= 0");

	  return 2 * (a * b + b * c + c * a);
	}
}
