package com.knauf.ejb.stateful;

import java.util.Vector;
/**
 * Bean implementation class for Enterprise Bean: GeometricModelStore
 */
public class GeometricModelStoreBean implements javax.ejb.SessionBean
{
	/**Vector fr Kantenlngen-Tripel: Kante a */
	private Vector vectorA = null;
	/**Vector fr Kantenlngen-Tripel: Kante b */
	private Vector vectorB = null;
	/**Vector fr Kantenlngen-Tripel: Kante c */
	private Vector vectorC = null;
	  
	private javax.ejb.SessionContext mySessionCtx;
	/**
	 * getSessionContext
	 */
	public javax.ejb.SessionContext getSessionContext()
	{
		return mySessionCtx;
	}
	/**
	 * setSessionContext
	 */
	public void setSessionContext(javax.ejb.SessionContext ctx)
	{
		mySessionCtx = ctx;
	}
	/**Create aus den Home-Interfaces.
	   * Erzeugen der drei Kantenlngen-Vektoren.
	   * @exception CreateException Fehler beim Erzeugen.
	*/
	public void ejbCreate() throws javax.ejb.CreateException
  	{
	    //Vector initialisieren:
	    this.vectorA = new Vector();
	    this.vectorB = new Vector();
	    this.vectorC = new Vector();
	}
	/**
	 * ejbActivate
	 */
	public void ejbActivate()
	{
	}
	/**
	 * ejbPassivate
	 */
	public void ejbPassivate()
	{
	}
	/**
	 * ejbRemove
	 */
	public void ejbRemove()
	{
	}
	
	///////////////////////////////////////////////////////////////////
	//           Methoden aus Remote-Interface                       //
	///////////////////////////////////////////////////////////////////


	/**Hinzufgen eines Satzes von Kantenlngen zur gespeicherten Menge an Berechnungen.
	 * @param a Kantenlnge von a
	 * @param b Kantenlnge von b
	 * @param c Kantenlnge von c
	 * @exception InvalidParameterException Falls a oder b oder c <= 0 sind.
	 */
	public void addCalculation (double a, double b, double c) throws InvalidParameterException
	{
	  if (a <= 0|| b <= 0 || c <= 0)
		throw new InvalidParameterException ("Seitenlnge <= 0");

	  this.vectorA.add ( new Double (a) );
	  this.vectorB.add ( new Double (b) );
	  this.vectorC.add ( new Double (c) );
	}

	/**Alle bisher erfolgten Berechnungen in einen String der Form
	 *    "Anfrage x: a/b/c"
	 * bringen.
	 * Als Zeilentrenner dient "\n<br>".
	 * @return String der bisher erfolgten Berechnungen.
	 */
	public String getAllCalculations ()
	{
	  String strReturn = "";
	  for (int intIndex = 0; intIndex < this.vectorA.size(); intIndex ++)
	  {
		if (intIndex > 0)
		  strReturn += "<br>\r\n";
		strReturn += "Anfrage " + intIndex + ": " + this.vectorA.get (intIndex) + "/" + this.vectorB.get (intIndex) + "/" + this.vectorC.get (intIndex);
	  }

	  return strReturn;
	}
}
